Bug 170894 - fdisk returns can'topen /dev/hde
fdisk returns can'topen /dev/hde
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-15 02:11 EDT by Dave R
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-20 06:27:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave R 2005-10-15 02:11:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.2) Gecko/20040804 Netscape/7.2 (ax)

Description of problem:
Ok, this is wierd. I boot Fedora on a Dell Inspiron. I've got an internal hard drive and also a PCMCIA Viper drive. The Viper is setup in fstabs and mounts just fine. I can read/write to it, but... when I run fdisk it can't open it! I can't format it, nothing. One day it was working fine, and the next, fdisk cant acess it. I know I changed something, but what? I'm logged in as root, sudo, blah blah. No good.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot
2.type fdisk /dev/hde
3."can't open /dev/hde"
4. wtf
  

Actual Results:  "can't open /dev/hde"
 wtf
  

Expected Results:  show me the drive, blocks, filesystem etc. Give me menu

Additional info:
Comment 1 Bill Nottingham 2005-10-17 16:18:43 EDT
Is there a hde in /dev?

What hd* devices *do* you have in /dev?
Comment 2 Dave R 2005-10-20 08:55:21 EDT
Well, theres hda* that shows all the partitions on my internal drive including
linux and also Fat32. No hde can be found.
Comment 3 Bill Nottingham 2005-10-20 11:17:36 EDT
What is the output of 'find /proc/ide'?
Comment 4 Harald Hoyer 2006-02-15 08:25:16 EST
ping?
Comment 5 Harald Hoyer 2006-04-28 05:55:53 EDT
ping?
Comment 6 Dave R 2006-04-28 15:28:56 EDT
(In reply to comment #3)
> What is the output of 'find /proc/ide'?

It is:
/proc/ide
/proc/ide/hde
/proc/ide/ide2
/proc/ide/ide2/hde
/proc/ide/ide2/hde/settings
/proc/ide/ide2/hde/model
/proc/ide/ide2/hde/media
/proc/ide/ide2/hde/identify
/proc/ide/ide2/hde/driver
/proc/ide/ide2/model
/proc/ide/ide2/mate
/proc/ide/ide2/channel
/proc/ide/drivers
/proc/ide/hdc
/proc/ide/ide1
/proc/ide/ide1/hdc
/proc/ide/ide1/hdc/capacity
/proc/ide/ide1/hdc/settings
/proc/ide/ide1/hdc/model
/proc/ide/ide1/hdc/media
/proc/ide/ide1/hdc/identify
/proc/ide/ide1/hdc/driver
/proc/ide/ide1/model
/proc/ide/ide1/mate
/proc/ide/ide1/channel
/proc/ide/hdb
/proc/ide/hda
/proc/ide/ide0
/proc/ide/ide0/hdb
/proc/ide/ide0/hdb/capacity
/proc/ide/ide0/hdb/settings
/proc/ide/ide0/hdb/model
/proc/ide/ide0/hdb/media
/proc/ide/ide0/hdb/identify
/proc/ide/ide0/hdb/driver
/proc/ide/ide0/hda
/proc/ide/ide0/hda/smart_thresholds
/proc/ide/ide0/hda/smart_values
/proc/ide/ide0/hda/geometry
/proc/ide/ide0/hda/capacity
/proc/ide/ide0/hda/cache
/proc/ide/ide0/hda/settings
/proc/ide/ide0/hda/model
/proc/ide/ide0/hda/media
/proc/ide/ide0/hda/identify
/proc/ide/ide0/hda/driver
/proc/ide/ide0/model
/proc/ide/ide0/mate
/proc/ide/ide0/channel
[root@localhost ~]# 
Comment 7 Dave R 2006-04-28 15:29:39 EDT
(In reply to comment #5)
> ping?

I don't understand ping
Comment 8 Harald Hoyer 2006-05-02 03:07:20 EDT
what is the output of: 
# ls -l /dev/hde
??

Note You need to log in before you can comment on or make changes to this bug.